Skip to content
GitLab
Explore
Sign in
Primary navigation
Search or go to…
Project
A
Acts Athena Ci
Manage
Activity
Members
Labels
Plan
Issues
Issue boards
Milestones
Iterations
Requirements
Code
Merge requests
Repository
Branches
Commits
Tags
Repository graph
Compare revisions
Locked files
Build
Pipelines
Jobs
Pipeline schedules
Test cases
Artifacts
Deploy
Releases
Package Registry
Container Registry
Model registry
Operate
Environments
Terraform modules
Monitor
Incidents
Analyze
Value stream analytics
Contributor analytics
CI/CD analytics
Repository analytics
Code review analytics
Issue analytics
Insights
Model experiments
Help
Help
Support
GitLab documentation
Compare GitLab plans
Community forum
Contribute to GitLab
Provide feedback
Keyboard shortcuts
?
Snippets
Groups
Projects
Show more breadcrumbs
acts
Acts Athena Ci
Commits
9dbc1004
Commit
9dbc1004
authored
2 months ago
by
Paul Gessinger
Browse files
Options
Downloads
Patches
Plain Diff
Revert ART patches after
atlas/athena!76383
parent
3199781a
No related branches found
No related tags found
No related merge requests found
Pipeline
#9583786
failed
2 months ago
Changes
1
Pipelines
10
Hide whitespace changes
Inline
Side-by-side
Showing
1 changed file
patches/0003-Patch-ART-scripts-for-running-with-wrapper.patch
+39
-70
39 additions, 70 deletions
...hes/0003-Patch-ART-scripts-for-running-with-wrapper.patch
with
39 additions
and
70 deletions
patches/0003-Patch-ART-scripts-for-running-with-wrapper.patch
+
39
−
70
View file @
9dbc1004
From
9b03ba5fe18de5586d346571751101f02641075e
Mon Sep 17 00:00:00 2001
From
725c42c9a292574fe7190b102449c6d4e75656e4
Mon Sep 17 00:00:00 2001
From: Paul Gessinger <paul.gessinger@cern.ch>
Date: Thu, 14 Dec 2023 09:51:47 +0100
Subject: [PATCH 3/3] Patch ART scripts for running with wrapper
---
.../share/test_data_reco.sh |
16 ++++++++----
----
.../share/test_data_reco.sh |
9 +++++
----
.../test/test_run4_acts_vertex_PU200.sh | 5 +++--
.../test/test_run4_ttbar_PU200.sh | 18 +++++++++---------
.../test/test_ttbarPU40_reco.sh | 12 ++++++++----
4 files changed, 2
8
insertions(+),
23
deletions(-)
4 files changed, 2
5
insertions(+),
19
deletions(-)
diff --git a/InnerDetector/InDetValidation/InDetPhysValMonitoring/share/test_data_reco.sh b/InnerDetector/InDetValidation/InDetPhysValMonitoring/share/test_data_reco.sh
index
3c1f12848d0..69bb8f561ac
100755
index
880baeae40c..067c2a733c9
100755
--- a/InnerDetector/InDetValidation/InDetPhysValMonitoring/share/test_data_reco.sh
+++ b/InnerDetector/InDetValidation/InDetPhysValMonitoring/share/test_data_reco.sh
@@ -1
7
,7 +1
7
,7 @@
dcubeExpertXml=${artdata}/InDetPhysValMonitoring/dcube/config/IDPVMPlots_data_ex
set -x
echo "ArtProcess: $ArtProcess"
@@ -1
1
,7 +1
1
,7 @@
geotag=$3
artdata=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art
dcubeShifterXml=${artdata}/InDetPhysValMonitoring/dcube/config/IDPVMPlots_data_baseline.xml
dcubeExpertXml=${artdata}/InDetPhysValMonitoring/dcube/config/IDPVMPlots_data_expert.xml
-lastref_dir=last_results
+# lastref_dir=last_results
script="`basename \"$0\"`"
success_run=0
@@ -30,7 +30,8 @@
case $ArtProcess in
echo "Ending"
if [ ${success_run} -eq 0 ] ;then
echo "download latest result"
- art.py download --user=artprod --dst="$lastref_dir" "$ArtPackage" "$ArtJobName"
+ # art.py download --user=artprod --dst="$lastref_dir" "$ArtPackage" "$ArtJobName"
+ lastref_dir=$(download_latest)
ls -la "$lastref_dir"
echo "Merging physval.root"
hadd physval.root art_core_*/physval.ntuple.root
@@ -42,7 +43,7 @@
case $ArtProcess in
-p -x dcube_shifter \
-c ${dcubeShifterXml} \
-r ${dcubeRef} \
- physval.root
+ physval.root || true
echo "art-result: $? shifter_plots"
echo "compare with last build"
@@ -50,7 +51,7 @@
case $ArtProcess in
-p -x dcube_shifter_last \
-c ${dcubeShifterXml} \
-r last_results/physval.root \
- physval.root
+ physval.root || true
echo "art-result: $? shifter_plots_last"
if $doExpert ; then
@@ -58,13 +59,13 @@
case $ArtProcess in
-p -x dcube_expert \
-c ${dcubeExpertXml} \
-r ${dcubeRef} \
- physval.root
+ physval.root || true
$ATLAS_LOCAL_ROOT/dcube/current/DCubeClient/python/dcube.py \
-p -x dcube_expert_last \
-c ${dcubeExpertXml} \
-r last_results/physval.root \
- physval.root
+ physval.root || true
fi
else
echo "reco failed"
@@ -76,13 +77,12 @@
case $ArtProcess in
cd "art_core_${ArtProcess}"
IFS=',' read -r -a file <<< "${ArtInFile}"
file=${file[${ArtProcess}]}
- x="../$file"
echo "Unsetting ATHENA_NUM_PROC=${ATHENA_NUM_PROC} and ATHENA_PROC_NUMBER=${ATHENA_PROC_NUMBER}"
unset ATHENA_NUM_PROC
unset ATHENA_PROC_NUMBER
Reco_tf.py \
- --inputBSFile $x \
+ --inputBSFile $file \
--maxEvents 1000 \
--autoConfiguration everything \
--conditionsTag "$conditions" \
run() { (set -x; exec "$@") }
@@ -38,7 +38,8 @@
echo "art-result: $idpvm_tf_exit_code idpvm"
if [ $rec_tf_exit_code -eq 0 ] ;then
echo "download latest result"
- run art.py download --user=artprod --dst="$lastref_dir" "$ArtPackage" "$ArtJobName"
+ # run art.py download --user=artprod --dst="$lastref_dir" "$ArtPackage" "$ArtJobName"
+ lastref_dir=$(download_latest)
run ls -la "$lastref_dir"
echo "compare with fixed reference"
@@ -46,7 +47,7 @@
if [ $rec_tf_exit_code -eq 0 ] ;then
-p -x dcube_shifter \
-c ${dcubeShifterXml} \
-r ${dcubeRef} \
- physval.ntuple.root
+ physval.ntuple.root || true
echo "art-result: $? shifter_plots"
echo "compare with last build"
@@ -54,7 +55,7 @@
if [ $rec_tf_exit_code -eq 0 ] ;then
-p -x dcube_shifter_last \
-c ${dcubeShifterXml} \
-r ${lastref_dir}/physval.ntuple.root \
- physval.ntuple.root
+ physval.ntuple.root || true
echo "art-result: $? shifter_plots_last"
$ATLAS_LOCAL_ROOT/dcube/current/DCubeClient/python/dcube.py \
diff --git a/InnerDetector/InDetValidation/InDetPhysValMonitoring/test/test_run4_acts_vertex_PU200.sh b/InnerDetector/InDetValidation/InDetPhysValMonitoring/test/test_run4_acts_vertex_PU200.sh
index 139214713d3..8b0b6c0fd6e 100755
--- a/InnerDetector/InDetValidation/InDetPhysValMonitoring/test/test_run4_acts_vertex_PU200.sh
...
...
This diff is collapsed.
Click to expand it.
Preview
0%
Loading
Try again
or
attach a new file
.
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Save comment
Cancel
Please
register
or
sign in
to comment